curl -X POST https://api.livchat.ai/v1/messages/read \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": ["AABBCCDD112233", "IIOOPPLL43332"],
"chatPhone": "5511999999999",
"senderPhone": "5511888888888"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/read", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
id: ["AABBCCDD112233", "IIOOPPLL43332"],
chatPhone: "5511999999999",
senderPhone: "5511888888888",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Marked as read"
}
}
Messages
Mark as Read
Mark messages as read
POST
/
v1
/
messages
/
read
curl -X POST https://api.livchat.ai/v1/messages/read \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": ["AABBCCDD112233", "IIOOPPLL43332"],
"chatPhone": "5511999999999",
"senderPhone": "5511888888888"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/read", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
id: ["AABBCCDD112233", "IIOOPPLL43332"],
chatPhone: "5511999999999",
senderPhone: "5511888888888",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Marked as read"
}
}
Mark one or more messages as read. This sends read receipts (blue checkmarks) to the sender.
Request Body
string[]
required
Array of message IDs to mark as read
string
required
Phone number of the chat
string
Phone number of the message sender (required for group chats)
curl -X POST https://api.livchat.ai/v1/messages/read \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": ["AABBCCDD112233", "IIOOPPLL43332"],
"chatPhone": "5511999999999",
"senderPhone": "5511888888888"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/read", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
id: ["AABBCCDD112233", "IIOOPPLL43332"],
chatPhone: "5511999999999",
senderPhone: "5511888888888",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Marked as read"
}
}
⌘I